LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (https://www.linuxquestions.org/questions/debian-26/)
-   -   What do I need to install Skype? (https://www.linuxquestions.org/questions/debian-26/what-do-i-need-to-install-skype-4175436987/)

JosephS 11-13-2012 03:06 PM

What do I need to install Skype?
 
Using Debian Squeeze


I would like to have Skype working on my computer. I did a search with Aptitiude:
Code:

joe@Squeeze:~$ aptitude search ~nskype
p  pidgin-skype                                  - Skype plugin for libpurple messengers                 
p  pidgin-skype-dbg                              - Skype plugin for libpurple messengers (debug symbols) 
p  python-skype                                  - Skype API wrapper for Python                           
v  skype4pidgin                                  -

Not sure if this is what I need. Would like to know what programs I need to install this, and what equipment to use Skype. I'm assuming all I need is a webcam and microphone to use this.

Thanks

Habitual 11-13-2012 03:15 PM

debian links at http://www.skype.com/intl/en-us/get-...omputer/linux/

scorpioofthewoods 11-14-2012 04:09 PM

I haven't used skype in a long time. There use to be a debian repo for it from skype. Does anyone know if this still exists and is maintained?

k3lt01 11-14-2012 08:35 PM

Go to this page, download the Debian option and install it. Simple and done, you don't need Pidgin to use Skype either.

jim_p 11-14-2012 10:25 PM

Quote:

Originally Posted by scorpioofthewoods (Post 4829552)
I haven't used skype in a long time. There use to be a debian repo for it from skype. Does anyone know if this still exists and is maintained?

It does exist, but it is not maintained anymore. In fact, skype on that repo is on version 2.1!

k3lt01 11-14-2012 10:34 PM

Quote:

Originally Posted by jim_p (Post 4829715)
It does exist, but it is not maintained anymore. In fact, skype on that repo is on version 2.1!

Hmmmmm, it would be good if you could be a little accurate with what you are saying. The one in the link I provided above is 4.1.

jim_p 11-15-2012 12:02 AM

I replied to what scorpioofthewoods asked about skype's repo. This is the repo
Code:

deb http://download.skype.com/linux/repos/debian/ stable non-free
and it contains this, since it is not maintained at all
Code:

$ apt-cache policy skype
skype:
  Installed: 4.1.0.20-1
  Candidate: 4.1.0.20-1
  Version table:
 *** 4.1.0.20-1 0
        100 /var/lib/dpkg/status
    2.1.0.81-1 0
        500 http://download.skype.com/linux/repos/debian/ stable/non-free i386 Packages

So, the repo can be considered as old, obsolete, useless etc.

Plus, debian's wiki mentions
Quote:

Note that there are currently no repositories which hold the latest version (4.x). You will have to re-download the package from the website each time there is an update.
http://wiki.debian.org/skype

I hope I made myself understood now :)

k3lt01 11-15-2012 12:16 AM

Sorry Jim I misunderstood.

The repo itself doesn't exist (apt-get update cannot locate anything) anymore but Skype does still host a variety of Linux versions and it is now at 4.1.
I doubt there will ever be a repo from Skype again as Microsoft now owns Skype and is moving Windows Live to Skype as well.

scorpioofthewoods 11-15-2012 12:36 AM

Quote:

Originally Posted by jim_p (Post 4829715)
It does exist, but it is not maintained anymore. In fact, skype on that repo is on version 2.1!

That is a shame. It made installing and keeping skype up to date on Debian easy.


All times are GMT -5. The time now is 12:43 PM.